# -*- coding: utf-8 -*-
##################################################
# This file is part of WAPT Enterprise
# All right reserved, (c) Tranquil IT Systems 2023
# For more information please refer to
# https://wapt.tranquil.it/store/licences.html
##################################################
from setuphelpers import *


def install():
    run('LANG=C DEBIAN_FRONTEND=noninteractive apt-get install -y ./*.deb')

def uninstall():
    for u in installed_softwares('qgis'):
        if u['publisher'] == "https://qgis.org/":
            if not [l for l in installed_softwares() if l['key'] == u['key']]:
                continue
            uninstall_apt(u['key'],autoremove=True)